[android-components](../../index.md) / [mozilla.components.concept.storage](../index.md) / [VisitType](./index.md)

# VisitType

`enum class VisitType` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/storage/src/main/java/mozilla/components/concept/storage/HistoryStorage.kt#L187)

Visit type constants as defined by Desktop Firefox.

### Enum Values

| Name | Summary |
|---|---|
| [NOT_A_VISIT](-n-o-t_-a_-v-i-s-i-t.md) |  |
| [LINK](-l-i-n-k.md) |  |
| [TYPED](-t-y-p-e-d.md) |  |
| [BOOKMARK](-b-o-o-k-m-a-r-k.md) |  |
| [EMBED](-e-m-b-e-d.md) |  |
| [REDIRECT_PERMANENT](-r-e-d-i-r-e-c-t_-p-e-r-m-a-n-e-n-t.md) |  |
| [REDIRECT_TEMPORARY](-r-e-d-i-r-e-c-t_-t-e-m-p-o-r-a-r-y.md) |  |
| [DOWNLOAD](-d-o-w-n-l-o-a-d.md) |  |
| [FRAMED_LINK](-f-r-a-m-e-d_-l-i-n-k.md) |  |
| [RELOAD](-r-e-l-o-a-d.md) |  |

### Properties

| Name | Summary |
|---|---|
| [type](type.md) | `val type: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html) |

### Extension Functions

| Name | Summary |
|---|---|
| [loadResourceAsString](../../mozilla.components.support.test.file/kotlin.-any/load-resource-as-string.md) | `fun `[`Any`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)`.loadResourceAsString(path: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)<br>Loads a file from the resources folder and returns its content as a string object. |
